Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.data
Class Datacell

    java.lang.Object
      de.grogra.pf.data.Datacell

All Implemented Interfaces:
  java.io.Serializable

    public final class Datacell

extends java.lang.Object
implements java.io.Serializable

A `Datacell` represents a aingle cell of a tabular `Dataset`. It may contain either a text value or up to three numbers.

Author:
  Ole Kniemeyer
See Also:
  Serialized Form

Constructor Summary
`Datacell(java.lang.String value)`

Method Summary
`double` | `getX()`
`double` | `getY()`
`double` | `getZ()`
`boolean` | `isNull()`
`boolean` | `isScalar()`
`boolean` | `isXNull()`
`boolean` | `isYNull()`
`boolean` | `isZNull()`
`void` | `set(java.lang.Number v)`
`void` | `set(java.lang.Number x, java.lang.Number y)`
`void` | `set(java.lang.Number x, java.lang.Number y, java.lang.Number z)`
`void` | `setText(java.lang.String v)`
`void` | `setX(java.lang.Number v)`
`void` | `setY(java.lang.Number v)`
`void` | `setZ(java.lang.Number v)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Datacell

    public Datacell(java.lang.String value)

Method Detail

### getX

    public double getX()

### getY

    public double getY()

### getZ

    public double getZ()

### isNull

    public boolean isNull()

### isScalar

    public boolean isScalar()

### isXNull

    public boolean isXNull()

### isYNull

    public boolean isYNull()

### isZNull

    public boolean isZNull()

### set

    public void set(java.lang.Number v)

### set

    public void set(java.lang.Number x,
                    java.lang.Number y)

### set

    public void set(java.lang.Number x,
                    java.lang.Number y,
                    java.lang.Number z)

### setText

    public void setText(java.lang.String v)

### setX

    public void setX(java.lang.Number v)

### setY

    public void setY(java.lang.Number v)

### setZ

    public void setZ(java.lang.Number v)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD